Option Strict Off
Option Explicit On
Module Module9
    Private Declare Function ECF_VerificaModoOperacao Lib "CONVECF.DLL" (ByVal Modo As String) As Integer
    Private Declare Function ECF_DataHoraImpressora Lib "CONVECF.DLL" (ByVal Data As String, ByVal Hora As String) As Integer
	
	Function ModoOperacao() As Object
		Dim retorno As Object
		Dim Modo As String
		
		Modo = Space(1)

        retorno = ECF_VerificaModoOperacao(Modo)


		MsgBox(" 'Modo de Operação' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Modo de Operação: " & Modo)
	End Function
	
	Function DataHora() As Object
		Dim retorno As Object
		Dim Data, Hora As String
		
		Data = Space(6)
		Hora = Space(6)

        retorno = ECF_DataHoraImpressora(Data, Hora)

		MsgBox(" 'Data e Hora Atual' " & vbCrLf & "Status: " & retorno)
		
		Form1.List1.Items.Add("Data: " & Data)
		Form1.List1.Items.Add("Hora: " & Hora)
	End Function
End Module